> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/devices/inventory ## OpenAPI ````json GET /v1/devices/inventory { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/devices/inventory": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "notAssigned", "in": "query", "description": "", "required": false, "schema": { "type": "boolean", "example": true }, "example": true } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesInventoryGetResponse" } } } } } } } }, "components": { "schemas": { "v1DevicesInventoryGetResponse": { "type": "object", "properties": { "inventory": { "type": "array", "items": { "$ref": "#/components/schemas/onboardingHardwareInventory" } }, "pageInfo": { "$ref": "#/components/schemas/commonPageInfo" } }, "additionalProperties": false }, "onboardingHardwareInventory": { "type": "object", "properties": { "assignedOn": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "createdOn": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "deviceModel": { "type": "string", "example": "example string" }, "deviceSerial": { "type": "string", "example": "example string" }, "ekCert": { "type": "string", "example": "example string" }, "enterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "enterpriseName": { "type": "string", "example": "example string" }, "gekPub": { "type": "string", "example": "example string" }, "isCore": { "type": "boolean", "example": true }, "isNew": { "type": "boolean", "example": true }, "isRequested": { "type": "boolean", "example": true }, "parentEnterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "parentEnterpriseName": { "type": "string", "example": "example string" }, "role": { "type": "string", "example": "ENUM_VALUE" }, "useOauth": { "type": "boolean", "example": true }, "uuid": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "commonPageInfo": { "type": "object", "properties": { "currentPage": { "type": "integer", "format": "int32", "example": 1, "minimum": 0, "description": "The page number we are currently on (required)" }, "endCursor": { "type": "string", "example": "xxxxxxy", "description": "Cursor pointing to the last record on the current page" }, "hasNextPage": { "type": "boolean", "example": true, "description": "An indicator whether there is a page after this one in the resultset based on current position" }, "hasPrevPage": { "type": "boolean", "example": true, "description": "An indicator whether there is a page before this one in the resultset based on current position" }, "startCursor": { "type": "string", "example": "xxxxxx", "description": "Cursor pointing to the first record on the current page" }, "totalPages": { "type": "integer", "format": "int32", "example": 4, "minimum": 0, "description": "The number of pages in the complete resultset based on the current length of the page (required)" }, "totalRecords": { "type": "integer", "format": "int32", "example": 400, "minimum": 0, "description": "Describes the total number of records in the complete resultset (required)" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````